@echo off

REM ***** set Path to Kofax Express setup
set setuppath=%~dp0
for %%i in ("%~dp0../..") do set "exeDir=%%~fi"

PUSHD %setuppath%
POPD

REM ***** find the fix pack file name
FOR /F %%I IN ('DIR %exeDir%\KofaxExpress-*.EXE /B 2^>NUL') DO SET filename=%%I

REM ***** If this is Server installation
if "%1"=="CLIENTSERVER" (
	echo Stopping Kofax Express 3.2 service, please wait...
	net stop KofaxExpressServer
)


REM ***** Install Kofax Express in Silent mode
echo Installing Kofax Express 3.2 fix pack %1, please wait...
start /WAIT %exeDir%\%filename% /s /w /clone_wait /f1"%setuppath%KofaxExpress-fixpack.iss" /f2"%temp%\setup.log" 
	

if errorlevel 1 (
	goto eof
)

:eof
REM ***** If this is Server installation
if "%1"=="CLIENTSERVER" (
	echo Starting Kofax Express 3.2 service, please wait...
	net start KofaxExpressServer
)

if errorlevel 1 (
	echo %0 : error %errorlevel%
) else (
	exit 0
)